Package ghidra.program.util

# Class FunctionParameterNameFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.FunctionLocation
ghidra.program.util.FunctionSignatureFieldLocation
ghidra.program.util.FunctionParameterFieldLocation
ghidra.program.util.FunctionParameterNameFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class FunctionParameterNameFieldLocation extends FunctionParameterFieldLocation
A `FunctionSignatureFieldLocation` that indicates the user clicked on a function parameter name.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.FunctionLocation

  `functionAddr`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionParameterNameFieldLocation()`
  Default constructor needed for restoring a program location from XML
  `FunctionParameterNameFieldLocation(Program program, Address locationAddr, Address functionAddr, int charOffset, String signature, Parameter parameter)`
  Construct a new FunctionParameterNameFieldLocation object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getParameterName()`
  `int`
  `hashCode()`
  `void`
  `restoreState(Program p, SaveState obj)`
  Restore this function location using the given program and save state object.
  `void`
  `saveState(SaveState obj)`
  Save this function location to the given save state object.

  ### Methods inherited from class ghidra.program.util.FunctionParameterFieldLocation

  `getOrdinal, getParameter, toString`

  ### Methods inherited from class ghidra.program.util.FunctionSignatureFieldLocation

  `getSignature, isFieldBasedPositioning`

  ### Methods inherited from class ghidra.program.util.FunctionLocation

  `getFunctionAddress, isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionParameterNameFieldLocation

    public FunctionParameterNameFieldLocation(Program program, Address locationAddr, Address functionAddr, int charOffset, String signature, Parameter parameter)
    Construct a new FunctionParameterNameFieldLocation object.
    Parameters:
      `program` - the program of the location
      `locationAddr` - the address of the listing location (i.e., referent code unit)
      `functionAddr` - the function address
      `charOffset` - the position within the function signature string for this location.
      `signature` - the function signature string at this location.
      `parameter` - the function parameter at this location.

  - ### FunctionParameterNameFieldLocation

    public FunctionParameterNameFieldLocation()
    Default constructor needed for restoring a program location from XML

- ## Method Details

  - ### getParameterName

    public String getParameterName()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `FunctionSignatureFieldLocation`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `FunctionParameterFieldLocation`

  - ### saveState

    public void saveState(SaveState obj)
    Description copied from class: `FunctionLocation`
    Save this function location to the given save state object.
    Overrides:
      `saveState` in class `FunctionParameterFieldLocation`
    Parameters:
      `obj` - the save state object for saving the location

  - ### restoreState

    public void restoreState(Program p, SaveState obj)
    Description copied from class: `FunctionLocation`
    Restore this function location using the given program and save state object.
    Overrides:
      `restoreState` in class `FunctionParameterFieldLocation`
    Parameters:
      `p` - the program containing the function location
      `obj` - the save state object for saving the location